<simple-notifications [options]="notificationService.options"></simple-notifications>
<div class="row">
  <div class="col-md-12">
    <div class="card">
      <div class="card-header">
        <h4 class="card-header-text" *ngIf="isEdit">Edit Project [{{pif.PIF_STATUS}}]</h4>
        <h4 class="card-header-text" *ngIf="!isEdit">New Project</h4>
        <button class="btn btn-sm btn-primary waves-light f-right light ripple"
                type="submit"
                form="pifDetailsForm"
                [disabled]="disableEdit">
            <i class="icofont icofont-save"></i> Save
        </button>
        <button type="button" class="btn btn-sm btn-primary waves-light f-right light ripple m-r-10" (click)="Back()"><i class="icofont icofont-reply"></i> Go back</button>
      </div>
      <div class="card-block">
        <!-- <h3 class="sub-title">Project Details</h3> -->
        <form (submit)="save()" #pifDetailsForm="ngForm" id="pifDetailsForm">
          <!--row 1-->
          <div class="row m-b-30" >
            <mat-form-field class="col-sm-2">
              <input placeholder="Project Name" matInput name="PROJECT_NAME"  [(ngModel)]="pif.PROJECT_NAME" required [disabled]="disableEdit"/>
            </mat-form-field>
            <mat-form-field class="col-sm-2">
              <input placeholder="Project Abreviation" matInput name="PROJECT_ABREV" [(ngModel)]="pif.PROJECT_ABREV" required [disabled]="disableEdit"/>
            </mat-form-field>
            <mat-form-field class="col-sm-6">
              <input placeholder="Description" matInput name="PROJECT_DESCRIPTION" [(ngModel)]="pif.PROJECT_DESCRIPTION" [disabled]="disableEdit"/>
            </mat-form-field>
            <mat-form-field class="col-sm-2" color="red">
              <input placeholder="Project Cost (MD)" matInput name="pifCost" [(ngModel)]="pif.COUT_PIF" required [disabled]="disableEdit"/>
            </mat-form-field>
          </div>
          <div class="row m-b-30">
            <!--row 2-->
            <mat-form-field class="col-sm-4" >
              <mat-select #selectcategory placeholder="Category" name="PROJECT_CATEGORIE" [(ngModel)]="pif.PROJECT_CATEGORIE" required [disabled]="disableEdit">
                <mat-option *ngFor="let cat of CategoryDDList" [value]="cat.CODE_VALUE" >
                  {{ cat.DESCRIPTION }}
                </mat-option>
              </mat-select>
            </mat-form-field>

            <mat-form-field class="col-sm-4">
              <mat-select placeholder="Activity" name="PROJECT_ACTIVITY" [(ngModel)]="pif.PROJECT_ACTIVITY" required [disabled]="disableEdit">
                <mat-option *ngFor="let act of ActivityDDList" [value]="act.CODE_VALUE">
                  {{ act.DESCRIPTION }}
                </mat-option>
              </mat-select>
            </mat-form-field>

            <mat-form-field class="col-sm-4">
              <mat-select placeholder="Client" name="PROJECT_CLIENT" [(ngModel)]="pif.PROJECT_CLIENT" required [disabled]="disableEdit">
                <mat-option *ngFor="let cli of ClientDDList" [value]="cli.CODE_VALUE">
                  {{ cli.DESCRIPTION }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>

          <!--row 4-->
          <div class="row m-b-30">

            <mat-form-field class="col-sm-2">
              <input matInput
                       [matDatepicker]="PickerStartDay"
                       placeholder="Planned Start Date" [(ngModel)]="pif.DATE_DEBUTP" name="DATE_DEBUTP_S" (dateChange)="addEvent('start', $event)" required [disabled]="disableEdit"/>
              <mat-datepicker-toggle matSuffix [for]="PickerStartDay">
              </mat-datepicker-toggle>
              <mat-datepicker #PickerStartDay
                              [touchUi]="touch"
                              [startView]="'month'">
              </mat-datepicker>
            </mat-form-field>

            <mat-form-field class="col-sm-2">
              <input matInput
                       [matDatepicker]="PickerEndDay"
                       placeholder="Planned End Date" [(ngModel)]="pif.DATE_FINP" name="DATE_FINP_S" (dateChange)="addEvent('end', $event)" required [disabled]="disableEdit"/>
              <mat-datepicker-toggle matSuffix [for]="PickerEndDay">
              </mat-datepicker-toggle>
              <mat-datepicker #PickerEndDay
                              [touchUi]="touch"
                              [startView]="'month'">
              </mat-datepicker>
            </mat-form-field>

            <mat-form-field class="col-sm-8">
              <mat-select multiple placeholder="Technologies" #techSelect name="TechIds" [(ngModel)]="pif.TechIds" [disabled]="disableEdit">
                <mat-option *ngFor="let tech of TechnoDDList" [value]="tech.CODE_VALUE">
                  {{ tech.DESCRIPTION }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<!-- row tabs -->
<div class="row m-t-30" *ngIf="pif.ID_PIF != undefined && pif.ID_PIF != 0">
    <div class="col-lg-12">
      <div class="md-tabs md-card-tabs">
          <ngb-tabset>
            <ngb-tab id="1">
              <ng-template ngbTabTitle><i class="fa fa-puzzle-piece m-r-10"></i>Required Skills</ng-template>
              <ng-template ngbTabContent>
                <div [@fadeInOutTranslate] class="m-t-15">
                  <app-skills
                      [PifId]="pif.ID_PIF"
                      [ProjectStartDate]="pif.DATE_DEBUTP"
                      [ProjectEndDate]="pif.DATE_FINP"
                      [disableEdit]="disableEdit">
                  </app-skills>  
                </div>
              </ng-template>
            </ngb-tab>
            <ngb-tab id="2">
              <ng-template ngbTabTitle><i class="icofont icofont-users  m-r-10"></i>Team & Roles</ng-template>
              <ng-template ngbTabContent>
                <div [@fadeInOutTranslate] class="m-t-15">
                  <app-team
                      [PifId]="pif.ID_PIF"
                      [ActivityId]="pif.PROJECT_ACTIVITY"
                      [ProjectStartDate]="pif.DATE_DEBUTP"
                      [ProjectEndDate]="pif.DATE_FINP"
                      (handleProjectEndDateChange)="ProjectEndDateChange($event)"
                      (handleProjectStartDateChange)="ProjectStartDateChange($event)"
                      [disableEdit]="disableEdit">
                    </app-team>  
                </div>
              </ng-template>
            </ngb-tab>  
            <ngb-tab id="3">
              <ng-template ngbTabTitle><i class="icofont icofont-paper-clip m-r-10"></i>Inputs Entries</ng-template>
              <ng-template ngbTabContent>
                  <div [@fadeInOutTranslate] class="m-t-15">
                    <app-docs
                      [PifId]="pif.ID_PIF"
                      [disableEdit]="disableEdit">
                    </app-docs>  
                  </div>
              </ng-template>
            </ngb-tab>
            <ngb-tab id="4">
              <ng-template ngbTabTitle><i class="fa fa-tasks m-r-10"></i>Validation</ng-template>
              <ng-template ngbTabContent>
                  <div [@fadeInOutTranslate] class="m-t-15">
                      <app-validation></app-validation>
                  </div>
              </ng-template>
            </ngb-tab>
          </ngb-tabset>
      </div>
    </div>
</div>
